/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package applications;

/**
 *
 * @author Student
 */
public class Trip {

    private String id = "";
    private double milesTraveled = 0;
    private double gallonsused = 0;
    private double carbonemission = 0;
    private double averageMPG = 0;
    private String date = "";

    /**
     * @return the milesTraveled
     */
    public double getMilesTraveled() {
        return milesTraveled;
    }

    /**
     * @param milesTraveled the milesTraveled to set
     */
    public void setMilesTraveled(double milesTraveled) {
        this.milesTraveled = milesTraveled;
    }

    /**
     * @return the gallonsused
     */
    public double getGallonsused() {
        return gallonsused;
    }

    /**
     * @param gallonsused the gallonsused to set
     */
    public void setGallonsused(double gallonsused) {
        this.gallonsused = gallonsused;
    }

    /**
     * @return the carbonemission
     */
    public double getCarbonemission() {
        return carbonemission;
    }

    /**
     * @param carbonemission the carbonemission to set
     */
    public void setCarbonemission(double carbonemission) {
        this.carbonemission = carbonemission;
    }

    /**
     * @return the averageMPG
     */
    public double getAverageMPG() {
        return averageMPG;
    }

    /**
     * @param averageMPG the averageMPG to set
     */
    public void setAverageMPG(double averageMPG) {
        this.averageMPG = averageMPG;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the date
     */
    public String getDate() {
        return date;
    }

    /**
     * @param date the date to set
     */
    public void setDate(String date) {
        this.date = date;
    }

}
